# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section   free

%define _with_gcj_support 1

%define gcj_support %{?_with_gcj_support:1}%{!?_with_gcj_support:%{?_without_gcj_support:0}%{!?_without_gcj_support:%{?_gcj_support:%{_gcj_support}}%{!?_gcj_support:0}}}

Name:           jsch
Version:        0.1.37
Release:        %mkrel 0.0.1
Epoch:          0
Summary:        Pure Java implementation of SSH2
Group:          Development/Java
License:        BSD-style
URL:            http://www.jcraft.com/jsch/
Source0:        http://downloads.sourceforge.net/sourceforge/jsch/jsch-%{version}.zip
# wget http://download.eclipse.org/tools/orbit/downloads/drops/S200705301823/bundles/com.jcraft.jsch_0.1.31.jar
# unzip com.jcraft.jsch_0.1.31.jar META-INF/MANIFEST.MF
# mv META-INF/MANIFEST.MF
# rmdir META-INF
Source1:        jsch-MANIFEST.MF
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  java-rpmbuild >= 0:1.5
BuildRequires:  java-devel >= 1.4.2
BuildRequires:  jzlib >= 0:1.0.5
BuildRequires:  ant
BuildRequires:  zip

%if ! %{gcj_support}
BuildArch:      noarch
%endif

%if %{gcj_support}
BuildRequires:  java-gcj-compat-devel >= 1.0.31
%endif
Requires:       jzlib >= 0:1.0.5

%description
JSch allows you to connect to an sshd server and use port forwarding, 
X11 forwarding, file transfer, etc., and you can integrate its 
functionality into your own Java programs.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description    javadoc
%{summary}.

%package        demo
Summary:        Examples for %{name}
Group:          Development/Java

%description    demo
%{summary}.

%prep
%setup -q

%build
export CLASSPATH=$(build-classpath jzlib)
%{ant} dist javadoc 

# inject the OSGi Manifest
mkdir META-INF
cp -a %{SOURCE1} META-INF/MANIFEST.MF
zip dist/lib/%{name}-`date "+%Y%m%d"`.jar META-INF/MANIFEST.MF

export CLASSPATH=${CLASSPATH}:`pwd`/dist/lib/%{name}-`date "+%Y%m%d"`.jar
(cd examples && %{javac} *.java)

%install
# jars
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 dist/lib/%{name}-`date "+%Y%m%d"`.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# examples
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_datadir}/%{name}

%if %{gcj_support}
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=234989
%ifnarch ia64
%{_bindir}/aot-compile-rpm
%endif 
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/*.jar
%if %{gcj_support}
%ifnarch ia64
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/*
%endif
%endif

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%files demo
%defattr(0644,root,root,0755)
%doc %{_datadir}/%{name}-%{version}
%doc %{_datadir}/%{name}


%changelog
* Tue Jan 22 2008 David Walluck <walluck@mandriva.org> 0.1.37-0.0.1mdv2008.1
+ Revision: 156080
- BuildRequires: zip
- remove %%ghost references
- compile demos
- reference jar by name when building/installing
- 0.1.37

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Fri Nov 02 2007 David Walluck <walluck@mandriva.org> 0:0.1.36-0.0.1mdv2008.1
+ Revision: 105307
- 0.1.36

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:0.1.34-0.0.2mdv2008.0
+ Revision: 87442
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Wed Aug 29 2007 David Walluck <walluck@mandriva.org> 0:0.1.34-0.0.1mdv2008.0
+ Revision: 74718
- 0.1.34

* Wed Aug 08 2007 David Walluck <walluck@mandriva.org> 0:0.1.33-1.0.2mdv2008.0
+ Revision: 60577
- match eclipse jsch version in manifest

* Fri Jul 27 2007 David Walluck <walluck@mandriva.org> 0:0.1.33-1.0.1mdv2008.0
+ Revision: 56260
- fix Bundle-Version in MANIFEST.MF
- add MANIFEST.MF for eclipse

* Fri May 11 2007 David Walluck <walluck@mandriva.org> 0:0.1.33-1mdv2008.0
+ Revision: 26412
- 0.1.33


* Thu Mar 08 2007 David Walluck <walluck@mandriva.org> 0.1.32-1mdv2007.1
+ Revision: 134928
- 0.1.32

* Wed Jan 17 2007 David Walluck <walluck@mandriva.org> 0:0.1.31-1mdv2007.1
+ Revision: 110012
- 0.1.31

* Thu Nov 02 2006 David Walluck <walluck@mandriva.org> 0:0.1.30-1mdv2007.1
+ Revision: 75109
- 0.1.30
- Import jsch

* Mon Aug 28 2006 David Walluck <walluck@mandriva.org> 0:0.1.29-1mdv2007.0
- 0.1.29

* Thu May 25 2006 David Walluck <walluck@mandriva.org> 0:0.1.28-2mdv2007.0
- rebuild for libgcj.so.7

* Sat May 06 2006 David Walluck <walluck@mandriva.org> 0:0.1.28-1mdk
- 0.1.28

* Thu Apr 20 2006 David Walluck <walluck@mandriva.org> 0:0.1.27-1mdk
- 0.1.27
- aot compile

* Sat Apr 01 2006 David Walluck <walluck@mandriva.org> 0:0.1.26-1mdk
- 0.1.26

* Fri Mar 10 2006 Jerome Soyer <saispo@mandriva.org> 0.1.25-1mdk
- New release 0.1.25

* Tue Jan 17 2006 David Walluck <walluck@mandriva.org> 0:0.1.24-2mdk
- BuildRequires: ant, java-devel

* Sat Jan 14 2006 David Walluck <walluck@mandriva.org> 0:0.1.24-1mdk
- 0.1.24

* Sun May 08 2005 David Walluck <walluck@mandriva.org> 0:0.1.20-1.1mdk
- release

* Sat Apr 23 2005 Fernando Nasser <fnasser@redhat.com> 0:0.1.20-1jpp
- 0.1.20

* Sat Apr 23 2005 Fernando Nasser <fnasser@redhat.com> 0:0.1.18-1jpp
- 0.1.18

* Tue Nov 02 2004 David Walluck <david@jpackage.org> 0:0.1.17-2jpp
- rebuild with jdk 1.4.2

* Wed Oct 20 2004 David Walluck <david@jpackage.org> 0:0.1.17-1jpp
- 0.1.17

* Tue Aug 24 2004 Randy Watler <rwatler at finali.com> - 0:0.1.13-2jpp
- Rebuild with ant-1.6.2

